Corregir error plugin ColorSublime en SublimeText3

12/Nov/2016 | Eder

Inicio » Tutoriales » Corregir error plugin ColorSublime en SublimeText3

Un problema que ocurrió en la última versión de Sublime Text 3, es que el plugin ColorSublime dejó de funcionar inesperadamente, por esa razón muchos usuarios no pudimos instalar nuevos temas en las últimas semanas a través de esta plataforma.

El error se debe a una actualización de los paquetes base de ST3, de hecho es posible observar en la consola del programa que si intentamos ejecutar el plugin nos aparece un error como from urllib import error.

¿Cómo solucionarlo?

Gracias a un reporte de error levantado en la plataforma del proyecto en Github se pudo identificar que al eliminar un archivo y actualizar los paquetes, el problema se corrige. De hecho los pasos son los siguientes:

  1. Cerrar todas las ventanas de SublimeText3
  2. Ir a la carpeta de configuración de ST3 (en Linux: ~/.config/sublime-text-3/Installed Packages)
  3. Eliminar el archivo llamado 0_package_control_loader.sublime-package
  4. Iniciar nuevamente ST3 y esperar a que se actualicen las dependencias rotas de paquetes
  5. Reiniciar ST3

¡Listo! Ahora podemos seguir utilizando con normalidad este fantástico plugin. ¿No lo conocías? Es una herramienta increíble que te permite instalar paquetes de colorsublime.com con dos clicks.

Acerca de Eder
Software Engineer, estudiante politécnico del CECyT No. 3 y ESCOM-IPN.

Comentarios